unit Test;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RunningProcs, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    RunningProcs: TRunningProcs;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure RunningProcsCreatedProcess(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  RunningProcs.Enabled := True;
end;

procedure TForm1.RunningProcsCreatedProcess(Sender: TObject);
var
  i: integer;
begin
  Listbox1.Clear;
  Label1.Caption := IntToStr(RunningProcs.Count) + ' processes running';
  for i := 1 to 100 do
    with RunningProcs.ProcessList[i] do
    begin
      if szExeFile = '' then Exit;
      Listbox1.Items.Add(ExtractFileName(szExeFile) + ' (' +
      RunningProcs.GetProcessDescriptionByPos(i) + ')');
    end;
end;

end.
